{% extends "plantilla.html"%}


{% block contenido%}
{% load static %}

<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            Editar Cliente {{cliente.nombre}} <div class="weight-60 font-3 text-blue">
          </h4>
        </div>
        <div class="col-md-8 font-20 weight-500 mb-10 text-capitalize">
          Con CI: {{cliente.cedula}}
        </div>
      </div>
      <form action="/procesarActualizarCliente/" method="post" enctype="multipart/form-data" id="frm_cliente" >

        {% csrf_token %}
        <input type="hidden" name="id"  value="{{cliente.id}}">
        <div class="row">
          <div class="col-md-6">
            <label for="nombre" class="form-label">Nombre</label>
            <input type="text" class="form-control" name="nombre" id="nombre" placeholder="Nombre" required value="{{cliente.nombre}}">
          </div>
          <div class="col-md-6">
            <label for="cedula" class="form-label">Cédula</label>
            <input type="text" class="form-control" name="cedula" id="cedula" placeholder="Cédula" required value="{{cliente.cedula}}">
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <label for="telefono" class="form-label">Teléfono</label>
            <input type="text" class="form-control" name="telefono" id="telefono" placeholder="Teléfono" required value="{{cliente.telefono}}">
          </div>
          <div class="col-md-6">
            <label for="correo" class="form-label">Correo Electrónico</label>
            <input type="email" class="form-control" name="correo" id="correo" placeholder="Correo Electrónico" required value="{{cliente.correo}}">
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <label for="direccion" class="form-label">Dirección</label>
            <textarea class="form-control" name="direccion" id="direccion" placeholder="Dirección" required> {{cliente.direccion}}</textarea>
          </div>
          <div class="col-md-12">
            <label for="foto" class="form-label">Foto</label>
            <input type="file" name="foto" id="foto" class="form-control dropzone" accept="image/*">
          </div>
        </div>

        <div class="col-md-12 mt-3">
          <center>
            <button type="submit" class="btn btn-primary"><i class="bi bi-floppy"></i>&nbsp; Guardar Cliente</button>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              <a type="button" class="btn btn-danger" href="/listadoClientes/">Cancelar</a>
          </center>
        </div>
      </form>
      <script>
        // Configuración de validación del formulario
        $("#frm_cliente").validate({
          rules: {
            'nombre': {
              required: true,
              lettersonly: true,
              nombreApellido:true
            },
            'cedula': {
              required: true,
              number: true,
              minlength: 10,
              maxlength: 10
            },
            'telefono': {
              required: true,
              number: true,
              minlength: 10,
              maxlength: 10
            },
            'correo': {
              required: true,
              email: true
            },
            'direccion': {
              required: true
            },
            'foto': {
              accept: "image/*"
            }
          },
          messages: {
            'nombre': {
              required: "Por favor, ingresa el nombre",
              lettersonly: "Solo se permiten letras"
            },
            'cedula': {
              required: "Por favor, ingresa la cédula",
              number: "Solo se permiten números",
              minlength: "La cédula debe tener al menos 10 dígitos",
              maxlength: "La cédula no debe tener más de 10 dígitos"
            },
            'telefono': {
              required: "Por favor, ingresa el teléfono",
              number: "Solo se permiten números",
              minlength: "El telefono debe tener al menos 10 dígitos",
              maxlength: "El telefono no debe tener más de 10 dígitos"
            },
            'correo': {
              required: "Por favor, ingresa el correo",
              email: "Ingresa un correo electrónico válido"
            },
            'direccion': {
              required: "La dirección es obligatoria"
            },
            'foto': {
              accept: "Solo se permiten archivos de imagen"
            },

          },
          submitHandler: function(form) {
            form.submit();
          },
          highlight: function (element, errorClass, validClass) {
            // Añade clases de Bootstrap para resaltar errores
            $(element).addClass("is-invalid").removeClass("is-valid");
          },
          unhighlight: function (element, errorClass, validClass) {
            // Añade clases de Bootstrap cuando no hay errores
            $(element).removeClass("is-invalid").addClass("is-valid");
          },


        });

        // Agrega un método personalizado para validar solo letras
        $.validator.addMethod("lettersonly", function(value, element) {
          return /^[a-zA-Z\s]+$/.test(value);
        }, "Solo se permiten letras");
        $.validator.addMethod("nombreApellido", function(value, element) {
        return this.optional(element) || /^[a-zA-ZáéíóúüñÁÉÍÓÚÜÑ]+\s[a-zA-ZáéíóúüñÁÉÍÓÚÜÑ]+$/.test(value);
        }, "Por favor, introduce un nombre y un apellido con un espacio en el medio.");
    </script>
    </div>

    </div>
  </div>




{% endblock %}
